Subject: Re: newbie's gripe with NT/2K/XP integration
From: Michael Hoffman <[email-masked]>
To: [email-masked]
Cc: Gen Zhang <[email-masked]>
Date: Mon, 19 Aug 2002 11:13:01 -0500 (Central Daylight Time)

On Mon, 19 Aug 2002, Gen Zhang wrote:

> my question is why does cygwin support the technologically challenged
> platforms 9x/ME and ruining what could be much better support for the NT
> series.

The reason the developers don't gratuitously break Cygwin for
thousands of users is because they're mean. At least that's what I've
always figured. Correct me if I'm wrong.

> for example, the interface with security under 9x is actually
> non-existent anyway and removing support for 9x would make cygwin code
> smaller and neater (i'm an advocate of _very_ elegant coding), not to
> mention faster and more secure (what do you know, i mentioned them
> anyway :).

Why don't you do it and report back to the list on the speed gains?

There are security problems with Cygwin that have nothing to do with the
non-NT Windows.

http://sources.redhat.com/cygwin/faq/faq_4.html#SEC79

> in any case, now that microsoft has combined 9x an NT into XP, isn't it time
> that cygwin follows suit?

No.
-- 
Michael Hoffman <[email-masked]>
The University of Texas at Austin

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/